/**
 * @file
 * Attaches show/hide functionality to checkboxes in the "Processor" tab.
 */

function sendDataToOswald() {
    let metadata = {'firstname': 'METADATA'};  // Add your relevant data here
    let dataToSend = {eventName: 'oswald-data', metadata: metadata};
    document.getElementById('oswald-widget').contentWindow.postMessage(dataToSend, '*');
}

(function ($) {
    'use strict';

    Drupal.behaviors.oswaldBindEventListener = {
        attach: function (context, settings) {
            setTimeout(function () {
                window.removeEventListener('message', sendDataToOswald);
                window.addEventListener('message', sendDataToOswald);
            }, 500);
        }
    };

})(jQuery);
